de.esprit.common.type

## Enum NumericalPrecision

- java.lang.Object
- - java.lang.Enum<NumericalPrecision>
  - - de.esprit.common.type.NumericalPrecision

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<NumericalPrecision>

      public enum NumericalPrecision
      extends java.lang.Enum<NumericalPrecision>
      implements NlsKey

  This enum defines the numerical precision of a platform
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIT_32`
    `BIT_64`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NumericalPrecision` | `fromBitCount(int bitCount)`
    `static NumericalPrecision` | `fromString(java.lang.String value)`
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `int` | `getBitCount()`
    `int` | `getByteCount()`
    `int` | `getByteCount(int num)`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `boolean` | `is32Bit()`
    `boolean` | `is64Bit()`
    `static NumericalPrecision` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NumericalPrecision[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### BIT_32

          public static final NumericalPrecision BIT_32

    - #### BIT_64

          public static final NumericalPrecision BIT_64

  - ### Method Detail

    - #### values

          public static NumericalPrecision[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NumericalPrecision c : NumericalPrecision.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NumericalPrecision valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getBitCount

          public int getBitCount()

    - #### getByteCount

          public int getByteCount()

    - #### getByteCount

          public int getByteCount(int num)

    - #### is32Bit

          public boolean is32Bit()

    - #### is64Bit

          public boolean is64Bit()

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### fromString

          public static NumericalPrecision fromString(java.lang.String value)

    - #### fromBitCount

          public static NumericalPrecision fromBitCount(int bitCount)

Copyright © 2011 EsprIT-Systems. All Rights Reserved.